### Enumeration

# Soup WebsocketError

#### Declaration

    error-domain Soup.WebsocketError

#### Description [src]

WebSocket-related errors.

#### Members

`SOUP_WEBSOCKET_ERROR_FAILED`

  A generic error.

  - Value: `0`
  - Available since: 3.0
`SOUP_WEBSOCKET_ERROR_NOT_WEBSOCKET`

  Attempted to handshake with a server that does not appear to understand WebSockets.

  - Value: `1`
  - Available since: 3.0
`SOUP_WEBSOCKET_ERROR_BAD_HANDSHAKE`

  The WebSocket handshake failed because some detail was invalid (eg, incorrect accept key).

  - Value: `2`
  - Available since: 3.0
`SOUP_WEBSOCKET_ERROR_BAD_ORIGIN`

  The WebSocket handshake failed because the “Origin” header was not an allowed value.

  - Value: `3`
  - Available since: 3.0

#### Type functions

###### soup_websocket_error_quark

Registers error quark for SoupWebsocket if needed.